# ACQUIRER_TOPUP_DECLINED

A Top-Up transaction was declined by Solaris. The status of the Top Up has changed to DECLINED.

Endpoint: POST acquirer_topup_declined
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    The ID of the Top-Up that was declined.
    Example: "b76cdcc321d345618084feedc47bbb1d"

  - `account_id` (string)
    ID of the customer account associated with the declined Top-Up transaction.
    Example: "adc123a45d6d7cf8fbfeed537ba919d5cacc"

  - `amount` (object)
    The amount of the Top-Up.

  - `amount.value` (integer)
    The amount in Euro cents.
    Example: 10000

  - `amount.currency` (string)
    The currency of the Top-Up.
    Enum: "EUR"

  - `client_secret` (string)
    The client secret key provided by the Acquirer's API for use in their frontend SDK.
    Example: "pi_1DrPlP2eZvKYlo2CSBQ7uqFH_secret_o1A7UsYFLWeGISUD1QYNkT8IU"

  - `status` (string)
    The current status of the Top-Up.
    Enum: "ACCEPTED", "CONFIRMED", "EXECUTED", "DECLINED", "CANCELLED"

  - `decline_reason` (string,null)
    The reason why the Top-Up was declined. Usually present if the status is DECLINED due to a technical issue.
    Example: "Person has blocked account(s)"


## Response 200 fields
